TakenAt: 2012-05-11T10:46:03Z
TakenAtLocal: 2012-05-11T10:46:03Z
TakenSrc: meta
UID: pt67lifne5i7kt8j
Type: image
Title: ""
TimeZone: Local
Year: 2012
Month: 5
Day: 11
ISO: 53
FocalLength: 4
Quality: 3
Details:
  Keywords: grey
CreatedAt: 2025-11-24T02:27:51Z
UpdatedAt: 2025-11-24T07:53:14Z
